summaryrefslogtreecommitdiffstats
path: root/debian/apache2.cron.daily
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-07 02:04:07 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-07 02:04:07 +0000
commit1221c736f9a90756d47ea6d28320b6b83602dd2a (patch)
treeb453ba7b1393205258c9b098a773b4330984672f /debian/apache2.cron.daily
parentAdding upstream version 2.4.38. (diff)
downloadapache2-1221c736f9a90756d47ea6d28320b6b83602dd2a.tar.xz
apache2-1221c736f9a90756d47ea6d28320b6b83602dd2a.zip
Adding debian version 2.4.38-3+deb10u8.debian/2.4.38-3+deb10u8
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/apache2.cron.daily25
1 files changed, 25 insertions, 0 deletions
diff --git a/debian/apache2.cron.daily b/debian/apache2.cron.daily
new file mode 100644
index 0000000..6461f07
--- /dev/null
+++ b/debian/apache2.cron.daily
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# run htcacheclean if set to 'cron' mode
+
+set -e
+set -u
+
+type htcacheclean > /dev/null 2>&1 || exit 0
+[ -e /etc/default/apache-htcacheclean ] || exit 0
+
+
+# edit /etc/default/apache-htcacheclean to change this
+HTCACHECLEAN_MODE=daemon
+HTCACHECLEAN_RUN=auto
+HTCACHECLEAN_SIZE=300M
+HTCACHECLEAN_PATH=/var/cache/apache2/mod_cache_disk
+HTCACHECLEAN_OPTIONS=""
+
+. /etc/default/apache-htcacheclean
+
+[ "$HTCACHECLEAN_MODE" = "cron" ] || exit 0
+
+htcacheclean ${HTCACHECLEAN_OPTIONS} \
+ -p${HTCACHECLEAN_PATH} \
+ -l${HTCACHECLEAN_SIZE}